org.apache.cassandra.db.marshal

## Class TypeParser

- java.lang.Object
- - org.apache.cassandra.db.marshal.TypeParser

    public class TypeParser
    extends java.lang.Object

Parse a string containing an Type definition.

### Field Summary

Fields
`static TypeParser` `EMPTY_PARSER`

### Constructor Summary

Constructors
Constructor and Description
`TypeParser(java.lang.String str)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.Byte,AbstractType<?>>` `getAliasParameters()`
`java.util.Map<java.nio.ByteBuffer,CollectionType>` `getCollectionsParameters()`
`java.util.Map<java.lang.String,java.lang.String>` `getKeyValueParameters()`
`java.util.List<AbstractType<?>>` `getTypeParameters()`
`Pair<Pair<java.lang.String,java.nio.ByteBuffer>,java.util.List<Pair<java.nio.ByteBuffer,AbstractType>>>` `getUserTypeParameters()`
`AbstractType<?>` `parse()` Parse an AbstractType from current position of this parser.
`static AbstractType<?>` `parse(java.lang.CharSequence compareWith)`
`static AbstractType<?>` `parse(java.lang.String str)` Parse a string containing an type definition.
`static java.lang.String` `parseCqlCollectionOrFrozenType(java.lang.String str)`
`static AbstractType<?>` `parseCqlName(java.lang.String str)` Turns user facing type names into Abstract Types, 'text' -> UTF8Type
`static java.lang.String` `parseCqlNativeType(java.lang.String str)`
`java.lang.String` `readNextIdentifier()`
`static java.lang.String` `stringifyAliasesParameters(java.util.Map<java.lang.Byte,AbstractType<?>> aliases)` Helper function to ease the writing of AbstractType.toString() methods.
`static java.lang.String` `stringifyCollectionsParameters(java.util.Map<java.nio.ByteBuffer,? extends CollectionType> collections)`
`static java.lang.String` `stringifyTypeParameters(java.util.List<AbstractType<?>> types)` Helper function to ease the writing of AbstractType.toString() methods.
`static java.lang.String` `stringifyTypeParameters(java.util.List<AbstractType<?>> types, boolean ignoreFreezing)` Helper function to ease the writing of AbstractType.toString() methods.
`static java.lang.String` `stringifyUserTypeParameters(java.lang.String keysace, java.nio.ByteBuffer typeName, java.util.List<java.nio.ByteBuffer> columnNames, java.util.List<AbstractType<?>> columnTypes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_PARSER

    public static final TypeParser EMPTY_PARSER

### Constructor Detail

#### TypeParser

    public TypeParser(java.lang.String str)

### Method Detail

#### parse

    public static AbstractType<?> parse(java.lang.String str)
                                 throws SyntaxException,
                                        ConfigurationException

Parse a string containing an type definition.

Throws:
  `SyntaxException`
  `ConfigurationException`

#### parse

    public static AbstractType<?> parse(java.lang.CharSequence compareWith)
                                 throws SyntaxException,
                                        ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### parseCqlNativeType

    public static java.lang.String parseCqlNativeType(java.lang.String str)

#### parseCqlCollectionOrFrozenType

    public static java.lang.String parseCqlCollectionOrFrozenType(java.lang.String str)
                                                           throws SyntaxException

Throws:
  `SyntaxException`

#### parseCqlName

    public static AbstractType<?> parseCqlName(java.lang.String str)
                                        throws SyntaxException,
                                               ConfigurationException

Turns user facing type names into Abstract Types, 'text' -> UTF8Type

Throws:
  `SyntaxException`
  `ConfigurationException`

#### parse

    public AbstractType<?> parse()
                          throws SyntaxException,
                                 ConfigurationException

Parse an AbstractType from current position of this parser.

Throws:
  `SyntaxException`
  `ConfigurationException`

#### getKeyValueParameters

    public java.util.Map<java.lang.String,java.lang.String> getKeyValueParameters()
                                                                           throws SyntaxException

Throws:
  `SyntaxException`

#### getTypeParameters

    public java.util.List<AbstractType<?>> getTypeParameters()
                                                      throws SyntaxException,
                                                             ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### getAliasParameters

    public java.util.Map<java.lang.Byte,AbstractType<?>> getAliasParameters()
                                                                     throws SyntaxException,
                                                                            ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### getCollectionsParameters

    public java.util.Map<java.nio.ByteBuffer,CollectionType> getCollectionsParameters()
                                                                               throws SyntaxException,
                                                                                      ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### getUserTypeParameters

    public Pair<Pair<java.lang.String,java.nio.ByteBuffer>,java.util.List<Pair<java.nio.ByteBuffer,AbstractType>>> getUserTypeParameters()
                                                                                                                                  throws SyntaxException,
                                                                                                                                         ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### readNextIdentifier

    public java.lang.String readNextIdentifier()

#### stringifyAliasesParameters

    public static java.lang.String stringifyAliasesParameters(java.util.Map<java.lang.Byte,AbstractType<?>> aliases)

Helper function to ease the writing of AbstractType.toString() methods.

#### stringifyTypeParameters

    public static java.lang.String stringifyTypeParameters(java.util.List<AbstractType<?>> types)

Helper function to ease the writing of AbstractType.toString() methods.

#### stringifyTypeParameters

    public static java.lang.String stringifyTypeParameters(java.util.List<AbstractType<?>> types,
                                                           boolean ignoreFreezing)

Helper function to ease the writing of AbstractType.toString() methods.

#### stringifyCollectionsParameters

    public static java.lang.String stringifyCollectionsParameters(java.util.Map<java.nio.ByteBuffer,? extends CollectionType> collections)

#### stringifyUserTypeParameters

    public static java.lang.String stringifyUserTypeParameters(java.lang.String keysace,
                                                               java.nio.ByteBuffer typeName,
                                                               java.util.List<java.nio.ByteBuffer> columnNames,
                                                               java.util.List<AbstractType<?>> columnTypes)